List configuration backups - Fluid Topics - Latest

Fluid Topics API Reference Guide

Category
Reference Guides
Audience
public
Version
Latest

This web service returns a list of configuration backups available on the portal.

  • This web service is available to users or API keys with the ADMIN role.
  • It is necessary to provide an Ft-Calling-App value when using Fluid Topics web services. See Fluid Topics calling app.
Method Endpoint
GET
/api/backups

Response body

The following example shows a JSON response body for this web service:

{
  "backups": [
    {
      "id": "cc76ea8c-254c-477a-a707-0c897cc67f3b",
      "name": "test",
      "description": "test",
      "backupDate": "2026-07-01T08:31:49.018Z",
      "autoBackup": false
    }
  ]
}
Field Type Description
backups Array List of configuration backups available on the remote portal.
id String Unique identifier of the configuration backup.
name String Name of the configuration backup.
description String Description of the configuration backup.
backupDate String Date and time when the configuration backup was created (UTC). Its format is YYYY-MM-DDTHH:MM:SS. For more information about date and time formats, see Timestamps.
autoBackup Boolean Indicates whether the configuration backup was created automatically.
It is possible to automatically create a backup when restoring a configuration backup with the createAutoBackup value.
Return code Description
200 OK Returns the list of configuration backups.
401 UNAUTHORIZED The authorization header is absent or invalid.
403 FORBIDDEN The user or API key must be an ADMIN.

For a comprehensive list of all possible return codes, see Return codes.